clear all

import "csv data file here"

gen int month = mod(date_num, 100)
gen int year = floor(date_num/100)

gen int month_yr = mofd(mdy(month, 1, year))
format month_yr %tmCYN
drop month year

sort month_yr
tsset month_yr

gen intercept=1

*change dates here
drop if date_num <196307 | date_num > 200012

*save file (change file path)
save  "file path", replace




*----------------------------High-minus-Low ret diff
use  "file path", clear
asreg vw_hml_ret intercept, fit newey(1)
gen t_ret_diff = _b_intercept / _se_intercept



*----------------------------1F alpha
use  "file path", clear
asreg vw_hml_ret mktrf_monthly, fit newey(3)
gen t_1F = _b_cons / _se_cons



*----------------------------3F alpha
use  "file path", clear
asreg vw_hml_ret mktrf_monthly smb_monthly hml_monthly, fit newey(3)
gen t_3F = _b_cons / _se_cons
